package com.zcloud.basic.info.domain.gateway;


import com.alibaba.cola.dto.Response;
import com.zcloud.basic.info.domain.model.UserE;

import java.util.List;
import java.util.Map;

/**
 * web-domain
 *
 * @Author zhangyue
 * @Date 2025-11-04 14:07:35
 */
public interface UserGateway {

    /**
     * 新增
     */
    Boolean add(UserE userE);

    /**
     * 新增
     */
    Boolean addYanshi(UserE userE);

    Boolean register(UserE userE);

    /**
     * 修改
     */
    Boolean update(UserE userE);
    /**
     * 修改
     */
    Boolean updateInfo(UserE userE);

    Boolean updateByPhone(UserE userE);

    Boolean updateByIds(UserE userE, List<Long> ids);

    Boolean updateByGBS(UserE userE);

    Boolean updateInfoAndPasswordByGBS(UserE userE);

    Boolean updateByAppGBS(UserE userE);

    /**
     * 删除
     */
    void deletedUserById(Long id);

    Boolean deletedUserByIds(Long[] id);

    Response countUser(Map<String,Object> params);

    /**
     * 修改密码
     */
    Response updatePassword(UserE userE);

    boolean addXgf(UserE userE);

    void updateXgf(UserE userE, Long id);

    void deletedUserByPhone(String phone);
}

